Subject: Re: [KEYPROV] PSKC -- Additional Information regarding Algorithms

From: "Pei, Mingliang" <[email-masked]>
Date: Mon, 11 Aug 2008 15:42:11 -0700

Hi Hannes,

Thank you for posting the discussion here and your comments.

It was a first step for comments. Agree with your suggestions with regard to use of rfc2119 and examples. The other mandatory element is Secret. I will update it. I can expand the similar profile description for the rest.

- Ming

----- Original Message -----
From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>
Sent: Mon Aug 11 10:37:31 2008
Subject: [KEYPROV] PSKC -- Additional Information regarding Algorithms

At the last IETF meeting we had a discussion on how to provide 
additional information in the PSKC document to improve interoperability.
Pasi sent a mail to the list about this issue today.

Ming provided some additional information on how this could look like 
based on one algorithm, namely HOTP.

--------------------------------------------------------------

8.4.4.1.  HOTP

   Common Name:  HOTP

   Class:  OTP

   URI:  http://www.ietf.org/keyprov/pskc#hotp

   Algorithm Definition:  http://www.ietf.org/rfc/rfc4226.txt

   Identifier Definition  (this RFC)

   Registrant Contact:  IESG

   Required XML attributes for a Key element:

     For a key of this algorithm, the Usage element must be present. 
     The "OTP" attribute of the Usage must be set "true". The
ResponseFormat 
     must be used to indicate the OTP length and the value format. The
Usage 
     element for such a Key element should look like the following.

      <Usage OTP="true">
        <ResponseFormat Length="8" Format="DECIMAL"/>
      </Usage>

     One of the data type in Key/Data element should be <Counter> to
indicate 
     the current OTP counter value for the HOTP algorithm.

--------------------------------------------------------------

This is a first step but not precise enough. What is missing is: 
* Are these the only values that are allowed to be set? I would indicate this. 
With this specific algorithm I believe there isn't a lot of freedom. 
* Why isn't the counter mandatory? 
* I am missing RFC 2119 language in the above exchange. 
* I would add an example to make things clearer (instead of using the code snippet from above).
The example from Section 11.1 would work here: 

   <?xml version="1.0" encoding="UTF-8"?>
   <KeyContainer Version="1.0"
   xmlns="urn:ietf:params:xml:ns:keyprov:pskc:1.0">
       <Device>
           <DeviceInfo>
               <Manufacturer>Manufacturer</Manufacturer>
               <SerialNo>987654321</SerialNo>
           </DeviceInfo>
           <Key KeyAlgorithm="http://www.ietf.org/keyprov/pskc#hotp"
           KeyId="987654321">
               <Issuer>Issuer</Issuer>
               <Usage OTP="true">
                   <ResponseFormat Length="8"
                   Format="DECIMAL"/>
               </Usage>
               <Data>
                   <Secret>
                       <PlainValue>
                       MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=
                       </PlainValue>
                   </Secret>
                   <Counter>
                       <PlainValue>0</PlainValue>
                   </Counter>
               </Data>
           </Key>
       </Device>
   </KeyContainer>

Ciao
Hannes

_______________________________________________
KEYPROV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/keyprov
_______________________________________________
KEYPROV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/keyprov